package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 应急队伍成员状态枚举类
 *
 * @author Qi ChengBin
 * @date 2025/02/07
 */
@Getter
public enum EmTeamMemberStatusEnums implements CodeDescEnumInterface {
    IN_SERVICE(0, "在职"),
    ON_DUTY(1, "待命"),
    RESIGNED(2, "离职");

    private final Integer code;
    private final String desc;

    EmTeamMemberStatusEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
